## RygelThumbnail

RygelThumbnail — Represents a picture or video thumbnail.

## Functions

#define | RYGEL_TYPE_THUMBNAIL
RygelThumbnail * | rygel_thumbnail_new ()

## Types and Values

struct | RygelThumbnail
struct | RygelThumbnailClass

## Object Hierarchy

        RygelIconInfo
        ╰── RygelThumbnail

## Description

## Functions

### RYGEL_TYPE_THUMBNAIL

    #define RYGEL_TYPE_THUMBNAIL (rygel_thumbnail_get_type ())

The type for RygelThumbnail.

### rygel_thumbnail_new ()

    RygelThumbnail *
    rygel_thumbnail_new (const gchar *mime_type,
                         const gchar *dlna_profile,
                         const gchar *file_extension);

#### Parameters

mime_type |  |
dlna_profile |  |
file_extension |  |

## Types and Values

### struct RygelThumbnail

    struct RygelThumbnail;

Represents a picture or video thumbnail.

### struct RygelThumbnailClass

    struct RygelThumbnailClass {
    	RygelIconInfoClass parent_class;
    	GUPnPDIDLLiteResource* (*add_resource) (RygelThumbnail* self, GUPnPDIDLLiteItem* didl_item, const gchar* protocol);
    };

The class structure for `RYGEL_TYPE_THUMBNAIL`. All the fields in this structure are private and should never be accessed directly.

#### Members

RygelIconInfoClass `parent_class`; | the parent class structure |
`add_resource` () |  |